Name:           atari++
Version:        1.60
Release:        1%{?dist}
Summary:        Unix based emulator of the Atari eight bit computers

Group:          Applications/Emulators
License:        TPL
URL:            http://www.xl-project.com/
Source0:        http://www.xl-project.com/download/%{name}_%{version}.tar.gz
# be verbose during compile
Patch1:         %{name}-verbose.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel libICE-devel libSM-devel zlib-devel ncurses-devel libpng-devel


%description
The Atari++ Emulator is a Unix based emulator of the Atari eight bit
computers, namely the Atari 400 and 800, the Atari 400XL, 800XL and 130XE,
and the Atari 5200 game console. The emulator is auto-configurable and
will compile on a variety of systems (Linux, Solaris, Irix).
Atari++ 1.30 and up contain a built-in ROM emulation that tries to mimic
the AtariXL operating system closely.


%prep
%setup -q -n %{name}
%patch1 -p1 -b .verbose

# fix encoding
f=README.History
iconv -f ISO8859-1 -t UTF-8 -o $f.new $f
touch -r $f $f.new
mv $f.new $f


%build
%configure
make %{?_smp_mflags} OPTIMIZER="$RPM_OPT_FLAGS -DDEBUG_LEVEL=0 -DCHECK_LEVEL=0" V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove installed docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYRIGHT CREDITS README.LEGAL README.History README.licence manual
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.*


%changelog
* Fri May 13 2011 Dan Horák <dan[at]danny.cz> 1.60-1
- updated to version 1.60

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.58-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 30 2009 Dan Horák <dan[at]danny.cz> 1.58-1.1
- rebuilt with updated source archive

* Mon Nov 30 2009 Dan Horák <dan[at]danny.cz> 1.58-1
- updated to version 1.58
- used better patch for the making the build output verbose

* Tue Aug 25 2009 Dan Horák <dan[at]danny.cz> 1.57-1
- update to version 1.57

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.56-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun  5 2009 Dan Horák <dan[at]danny.cz> 1.56-2
- add patch for sparc

* Mon May 18 2009 Dan Horák <dan[at]danny.cz> 1.56-1
- update to version 1.56

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.55-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Dan Horák <dan[at]danny.cz> 1.55-2
- disable the verbose patch

* Wed Nov 19 2008 Dan Horák <dan[at]danny.cz> 1.55-1
- initial Fedora version
